DietPi PiHole installer corrupts 5.0 Beta

Greetings,

The Pihole installer under DietPi-Launcher seems to have problems if you want use Beta 5.0 after install. It corrupts nearly all Webinterface Inputs after 5.0 Beta update when you install 4.4 via DietPi.

https://discourse.pi-hole.net/t/while-executing-attempt-to-write-a-readonly-database-teleport-import-not-working/28983

DietPi Methode:

  • Install PiHole 4.4 works (except the passwd for the Webinterface resets 2x and must be change via ssh after)
  • Install PiHole 5.0 Beta
  echo "release/v5.0" | sudo tee /etc/pihole/ftlbranch
  pihole checkout core release/v5.0
  pihole checkout web release/v5.0

It will update but the following Error will comming up after Update in the Webinterface:

Error, something went wrong!
While executing: attempt to write a readonly database

PiHole SSH Methode:

  • install Pihole 4.4 works curl
curl -sSL https://install.pi-hole.net | bash
  • install Pihole 5.0 works
  echo "release/v5.0" | sudo tee /etc/pihole/ftlbranch
  pihole checkout core release/v5.0
  pihole checkout web release/v5.0

And no Problems.

So it seems something is wrong with die DietPi Installer.

Hi,

DietPi is not supporting PiHole v5 until now as it’s still in BETA status.

https://github.com/MichaIng/DietPi/issues/3391

Workaround for the time being should be adding user www-data to pihole group

usermod -a -G pihole www-data